Recordings
Get a presigned download URL for a recording
Authorization
tenant-api-key x-api-key<token>
Tenant API key (backend only — never expose to a browser)
In: header
Path Parameters
id*string
Recording CUID
Response Body
application/json
curl -X GET "https://example.com/api/v1/recordings/string/download"{ "id": "string", "roomId": "string", "egressId": "string", "type": "ROOM_COMPOSITE", "preset": "string", "encodingSettings": {}, "outputFormat": "MP4", "layout": "string", "status": "STARTING", "startedAt": "2019-08-24T14:15:22Z", "endedAt": {}, "duration": {}, "errorMessage": {}, "storageBucket": {}, "storageKey": {}, "storageUrl": {}, "fileSize": "string", "mimeType": {}, "startedByExternalId": "string", "stoppedByExternalId": {}, "isPublic": true, "allowedExternalIds": [ "string" ], "externalMetadata": {}, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "downloadUrl": "string"}